summaryrefslogtreecommitdiff
path: root/pst/install-patch-fixpack.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pst/install-patch-fixpack.sh')
-rwxr-xr-xpst/install-patch-fixpack.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/pst/install-patch-fixpack.sh b/pst/install-patch-fixpack.sh
new file mode 100755
index 0000000..6630023
--- /dev/null
+++ b/pst/install-patch-fixpack.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# Planescape: Torment Ultimate Weidu Fixpack
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin WeiDU unrar
+
+setuptmp
+
+if [ ! -f "$PATCHDIR/pstfixpack.rar" ]; then
+ echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-fixpack" 1>&2
+ echo "and put it in $PATCHDIR to install this patch" 1>&2
+ exit
+fi
+
+unrar x -o+ -cl "$PATCHDIR/pstfixpack.rar" "$TARGETDIR" || die
+rm "$TARGETDIR/setup-pst-fix.exe"
+cd "$TARGETDIR"
+
+case "$LANGUAGE" in
+ "German" ) langno=1 ;;
+ "Spanish" ) langno=2 ;;
+ "Italian" ) langno=3 ;;
+ * ) langno=0 ;;
+esac
+
+# echo to install all manually as --yes assumes English
+echo -e "${langno}\nn\ni\ni\ni\n\n" \
+| WeiDU --continue setup-pst-fix.tp2 || die
+
+setperms "$TARGETDIR"